Subject: bug#18764: 24.4; electric-indent in *scratch* signals an error

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Jun 2018 14:30:32 +0300

> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 14 Jun 2018 22:34:35 -0400
> 
> Not sure exactly what to do about this though.  Maybe parse-partial-sexp
> should (optionally?) signal an error when the curlevel stack overflows?

Why do we produce an error instead of just inserting the character?